对项目进行软删除。如果项目中存在活动工作区,则返回 409 PROJECT_HAS_ACTIVE_WORKSPACES(用户必须先删除这些工作区);否则会拆除每个项目的 TenantEnvironment 并清理角色分配/ API密钥/策略。
DELETE /api/v1/projects/{id}
curl \
--request DELETE 'https://agentengine.mongodb.com/api/v1/projects/{id}' \
--header "Authorization: $API_KEY"
响应示例 (406)
操作不可用
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "This operation supports text/event-stream, which the Accept header excludes. Remove unsupported media-type parameters or accept this type with a positive q value.",
"error": 406,
"errorCode": "UNACCEPTABLE_MEDIA_TYPE",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "The requested API version is not supported. Supported versions: 2026-09-20-preview.",
"error": 406,
"errorCode": "UNSUPPORTED_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
响应示例 (406)
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
响应示例 (400)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (400)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (409)
{
"code": "string",
"detail": "string",
"details": {
"truncated": true,
"workspace_count": 42,
"workspace_ids": [
"string"
]
},
"error": "string",
"success": true
}
响应示例 (409)
{
"code": "string",
"detail": "string",
"details": {
"truncated": true,
"workspace_count": 42,
"workspace_ids": [
"string"
]
},
"error": "string",
"success": true
}
响应示例 (500)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (500)
{
"code": "string",
"error": "string",
"success": true
}